Subject: git-reset HEAD --permissions-only

From: "Neal Kreitzinger" <[email-masked]>
Date: Mon, 14 Mar 2011 15:29:51 -0500

Is there a way to only reset the file permissions of the working-tree to 
match HEAD file permissions without resetting the content of the files?

HEAD file permissions = the permissions of the objects in the object store.

I'm using the vendor branch method of the git-rm manpage (git ls-files -z | 
xargs -0 rm -f && tar xzf vendor-version.tar.gz && git add -A) and I want to 
discard the vendor's file permissions changes to existing files and reset 
them back to what they are in HEAD.

"existing files" = ALL files that already existed in the HEAD and are not 
"deleted" or "new" in the working-tree relative to the HEAD.
HEAD = before "rm"
Working-Tree = after the untar.

v/r,
Neal